| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Gaudi::Utils::Aida2ROOT Class Reference

Accessor to underlying ROOT-representation of transient histograms The actual code is imported from Bender project. More...

`#include <GaudiKernel/Aida2ROOT.h>`

## Static Public Member Functions
static TH1D * | aida2root (AIDA::IHistogram1D *aida)
| get the underlying pointer for 1D-histogram More...
static const TH1D * | aida2root (const AIDA::IHistogram1D *aida)
static TH2D * | aida2root (AIDA::IHistogram2D *aida)
| get the underlying pointer for 2D-histogram More...
static const TH2D * | aida2root (const AIDA::IHistogram2D *aida)
static TH3D * | aida2root (AIDA::IHistogram3D *aida)
| get the underlying pointer for 3D-histogram More...
static const TH3D * | aida2root (const AIDA::IHistogram3D *aida)
static TProfile * | aida2root (AIDA::IProfile1D *aida)
| get the underlying pointer for 1D-profile More...
static const TProfile * | aida2root (const AIDA::IProfile1D *aida)
static TProfile2D * | aida2root (AIDA::IProfile2D *aida)
| get the underlying pointer for 2D-profile More...
static const TProfile2D * | aida2root (const AIDA::IProfile2D *aida)
static TObject * | aida2root (AIDA::IHistogram *aida)
| get root representation for other cases More...
static const TObject * | aida2root (const AIDA::IHistogram *aida)

## Detailed Description

Accessor to underlying ROOT-representation of transient histograms The actual code is imported from Bender project.

It relies on PI implementation of AIDA interface, modified by Markus FRANK.

See also
  Gaudi::H1D
  Gaudi::H2D
  Gaudi::H3D
  Gaudi::Profile1D
  Gaudi::Profile2D
  AIDA::IHistogram1D
  AIDA::IHistogram2D
  AIDA::IHistogram3D
  AIDA::IProfile1D
  AIDA::IProfile2D

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-01-23

Definition at line 60 of file Aida2ROOT.h.

## Member Function Documentation

TH1D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram1D * | aida | ) |
| static

get the underlying pointer for 1D-histogram

Definition at line 73 of file Aida2ROOT.cpp.

73 { return a2r_cast<TH1D>( aida ); }

const TH1D * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IHistogram1D * | aida | ) |
| static

Definition at line 74 of file Aida2ROOT.cpp.

75 {
76 return a2r_cast<const TH1D>( aida );
77 }

TH2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram2D * | aida | ) |
| static

get the underlying pointer for 2D-histogram

Definition at line 81 of file Aida2ROOT.cpp.

81 { return a2r_cast<TH2D>( aida ); }

const TH2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IHistogram2D * | aida | ) |
| static

Definition at line 82 of file Aida2ROOT.cpp.

83 {
84 return a2r_cast<const TH2D>( aida );
85 }

TH3D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram3D * | aida | ) |
| static

get the underlying pointer for 3D-histogram

Definition at line 89 of file Aida2ROOT.cpp.

89 { return a2r_cast<TH3D>( aida ); }

const TH3D * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IHistogram3D * | aida | ) |
| static

Definition at line 90 of file Aida2ROOT.cpp.

91 {
92 return a2r_cast<const TH3D>( aida );
93 }

TProfile * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IProfile1D * | aida | ) |
| static

get the underlying pointer for 1D-profile

Definition at line 97 of file Aida2ROOT.cpp.

97 { return a2r_cast<TProfile>( aida ); }

const TProfile * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IProfile1D * | aida | ) |
| static

Definition at line 98 of file Aida2ROOT.cpp.

99 {
100 return a2r_cast<const TProfile>( aida );
101 }

TProfile2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IProfile2D * | aida | ) |
| static

get the underlying pointer for 2D-profile

Definition at line 105 of file Aida2ROOT.cpp.

105 { return a2r_cast<TProfile2D>( aida ); }

const TProfile2D * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IProfile2D * | aida | ) |
| static

Definition at line 106 of file Aida2ROOT.cpp.

107 {
108 return a2r_cast<const TProfile2D>( aida );
109 }

TObject * Gaudi::Utils::Aida2ROOT::aida2root | ( | AIDA::IHistogram * | aida | ) |
| static

get root representation for other cases

Definition at line 113 of file Aida2ROOT.cpp.

113 { return a2r_cast<TObject>( aida ); }

const TObject * Gaudi::Utils::Aida2ROOT::aida2root | ( | const AIDA::IHistogram * | aida | ) |
| static

Definition at line 114 of file Aida2ROOT.cpp.

115 {
116 return a2r_cast<const TObject>( aida );
117 }

The documentation for this class was generated from the following files:

- GaudiUtils/GaudiUtils/Aida2ROOT.h
- GaudiUtils/src/Lib/Aida2ROOT.cpp